Bug 158765 - Basic access manager tutorial does not work
Basic access manager tutorial does not work
Status: RESOLVED FIXED
Product: serverplugins
Classification: Unclassified
Component: Identity
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Jaroslav Tulach
issues@serverplugins
: ERGONOMICS, REGRESSION
Depends on: 161449
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-18 17:44 UTC by Petr Jiricka
Modified: 2009-04-04 07:36 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Servers node will be enhanced with new, easy to use triggers (28.59 KB, image/png)
2009-03-30 16:49 UTC, Jaroslav Tulach
Details
Implementation (including API changes reviewed as #161449) (50.56 KB, patch)
2009-03-30 16:57 UTC, Jaroslav Tulach
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Petr Jiricka 2009-02-18 17:44:14 UTC
1. Go to the knowledge base website: http://www.netbeans.org/kb/index.html
2. Go to "EJB and Web Service Applications": http://www.netbeans.org/kb/trails/java-ee.html
3. Go to "Securing Web Services Using the SAML or UserNameToken Profiles":
http://www.netbeans.org/kb/60/javaee/identity-amsecurity.html
This is a 6.0 tutorial, but appears to be still relevant
4. Follow the steps in the tutorial. Step 6 in the setup chapter says: "In the Services tab, select the Servers node.
right-click the Servers node and choose Add Server from the pop-up menu.. The Add Server Instance dialog opens."

=> This step can not be completed, because in the Ergonomics IDE, the Servers node is missing.
Comment 1 Petr Jiricka 2009-02-19 08:35:33 UTC
Already does not work in NetBeans 6.5 - there is no "Sun Java System Access Managers" node that the document refers to.
Revision 1.56 of the document (from Nov 19, 2008) updates the applicable NB versions to also include NB 6.5 - but in
fact it does not work with 6.5. See:
http://www.netbeans.org/source/browse/www/www/kb/60/javaee/identity-amsecurity.html
Comment 2 Jaroslav Pospisil 2009-02-19 09:26:00 UTC
Due to changes,caused by incorporating of Ergonomics,the tutorial should be definitely updated.I don't see however, that
docs will have resources to do this soon,so I'll write down the changes myself and try to persuade some docs guy to
update it before next release.
In 6.5 this should still work,unless some patch has broken the functionality (it worked for fcs and then available
version of Java EE SDK). 
Comment 3 Jaroslav Pospisil 2009-02-19 09:51:00 UTC
I've tried lates Java EE SDK in latest NB build and it don't work.I'll file a separate issue for this and check 6.5 also.
Comment 4 Petr Jiricka 2009-02-19 10:00:55 UTC
I tried the latest "GlassFish Java EE + Tools" bundle from http://java.sun.com/javaee/downloads/index.jsp, and it does
not work. This bundle includes NetBeans 6.5, so I would expect it should work out of the box.
Comment 5 Petr Jiricka 2009-02-19 10:17:37 UTC
Sorry, my fault, things _do_ work correctly in NB 6.5. I did not realize that the Access Manager node is now a _subnode_
of the GlassFish node, rather than a separate top level node.

Back to NB 7.0 with ergonnomics - I made it work, but only with an ugly workaround:

First part of the workaround: Go to the New Web Application project wizard. On the next panel, it prompts you to
activate the web application features, which also activates the GlassFish plugin. When you then cancel the wizard, you
can see the GF node in the Services tab and start it. Still, the Access Manager node does not appear under the Services tab.

Second part of the workaround: Go to Tools -> Plugins -> Installed and search for "Identity". Activate the Identity
module and restart the IDE. After starting GlassFish, you will see the Access Manager node under the GF node.
Comment 6 Jaroslav Tulach 2009-03-30 16:49:59 UTC
Created attachment 79066 [details]
Servers node will be enhanced with new, easy to use triggers
Comment 7 Jaroslav Tulach 2009-03-30 16:57:42 UTC
Created attachment 79067 [details]
Implementation (including API changes reviewed as #161449)
Comment 8 Jaroslav Tulach 2009-03-30 17:00:22 UTC
As soon as isssue 161449 is approved, I'll integrate the 
http://www.netbeans.org/nonav/issues/showattachment.cgi/79067/X.diff
patch and extend the tutorial with a note about one additional step in 6.7.
Comment 9 Petr Jiricka 2009-03-30 18:01:49 UTC
What additional step?
Comment 10 Jaroslav Tulach 2009-03-30 21:16:39 UTC
Additional step to make sure identity support is enabled.
Comment 11 Jaroslav Tulach 2009-04-02 11:34:13 UTC
Code available in:
ergonomics#b03a19231b2e

Website updated as
Checking in identity-amsecurity.html;
/cvs/testwww/www/kb/60/javaee/identity-amsecurity.html,v  <--  identity-amsecurity.html
new revision: 1.23; previous revision: 1.22
Comment 12 Quality Engineering 2009-04-04 07:36:35 UTC
Integrated into 'main-golden', will be available in build *200904040200* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b03a19231b2e
User: Jaroslav Tulach <jtulach@netbeans.org>
Log: #158765: Support in ergonomics for recognizing Services/Servers node actions and providing proxies for them including static analysis and dynamic verification


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo